<div class="main" style="height: 100%;">

  <div class="container">
      <form method="POST" class="appointment-form" id="frmRegister" [formGroup]="FormGroupRegister"  (ngSubmit)="onRegister(FormGroupRegister)">
          <h2>Registrarse</h2>
          
          <div class="form-group-1">
              <div class="row">
                <div class="col-12 col-md-4">
                  <mat-form-field>
                    <mat-label>Nombre</mat-label>
                    <input matInput formControlName="nombre" id="nombre" placeholder="Ex. Pablo"  required>
                  </mat-form-field>
                </div>
                <div class="col-12 col-md-4">
                  <mat-form-field>
                    <mat-label>Apellido Paterno</mat-label>
                    <input matInput formControlName="ap_paterno" id="ap_paterno" placeholder="Ex. Ibarra"  required>
                  </mat-form-field>
                </div>
                <div class="col-12 col-md-4">
                  <mat-form-field>
                    <mat-label>Apellido Materno</mat-label>
                    <input matInput formControlName="ap_materno" id="ap_materno" placeholder="Ex. Gonzalez" required>
                  </mat-form-field>
                </div>
              </div>
              <mat-form-field>
                <mat-label>Correo</mat-label> 
                <input type="email" matInput formControlName="email" id="email" placeholder="Ex. example@gmail.com"  required>
              </mat-form-field>
              
              <mat-form-field>
                <mat-label>Contraseña</mat-label> 
                <input type="password" matInput formControlName="password" id="password" placeholder="8 caracteres al menos"  required>
              </mat-form-field>
              <mat-form-field>
                <mat-label>Confirmar contraseña</mat-label> 
                <input type="password" matInput formControlName="password2" id="password2" placeholder="8 caracteres al menos"  required>
              </mat-form-field>
              <mat-form-field>
                <mat-label>Telefono de casa</mat-label>
                <input  matInput  formControlName="telefono" id="telefono" placeholder="Ex. 024456697"  required>
              </mat-form-field>
              <mat-form-field>
                <mat-label>Celular</mat-label>
                <input  matInput  formControlName="celular" id="celular" placeholder="Ex. 8717818282"  required>
              </mat-form-field>
              <mat-form-field>
                <mat-label>Fecha de nacimiento</mat-label>
                <input matInput [matDatepicker]="picker" readonly (click)="picker.open()" formControlName="fecha_nac"  required>
                <mat-datepicker-toggle matSuffix [for]="picker"></mat-datepicker-toggle>
                <mat-datepicker #picker startView="multi-year"></mat-datepicker>
              </mat-form-field>
          </div>
          
          <div class="form-check">
            <section class="example-section">
              <mat-checkbox class="checkbox" [checked]="terminos.status" (change)="changeStatus($event)">Acepto los <a href="#" class="term-service">Terminos y condiciones</a></mat-checkbox> 
            </section>
          </div>
          <div class="form-submit">
              <input type="submit" name="submit" id="submit" class="submit" value="Registrarse" />
          </div>
      </form>
  </div>

</div>